<?php
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
$omp=0;
$cuenta=800;

   $id_cd=$sesion->id;
  $qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, observaciones
							    ) 
							    VALUES 
							    (
								    '0', '5',curdate(),curtime(),'$id_cd','entrada kits'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (Intento de Actualizacion en Pedido): ' . mysql_error());
	
		
	
	   $qa = "SELECT idtransacciones FROM transacciones WHERE tipostr_idtipostr=5 and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $trans = $ra[0];
	};
	$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '1', '$trans','0','0','','', '0000-00-00',  'ENTREGADO'
							     )";$cP = mysql_query($qP) or die ('Error (Intento de Actualizacion depositos): ' . mysql_error());
							     

	   				$qP1 = "INSERT INTO pedido
							    (	 
							      transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								    '$trans', '$idp1','$canto'
							     )";						     
							    	$cP1 = mysql_query($qP1) or die ('Error (Intento de Actualizacion en Pedido): ' . mysql_error()); 
			 $qp = "update stock set cantidad=cantidad+$canto where idprod='$idp1' and idcd='$id_cd'";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());				     

echo"<center>Los kits fueron creados satisfactoriamente Transaccion: $trans<br><br>El siguiente producto fue agregado al sistema:<br>
<table border=\"1\">
			<tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">cant</font></th><th><font color=\"#FFFFFF\">nombre</font></th><th><font color=\"#FFFFFF\">id</font></th>
		</tr>
		<font size=2><tr><td bgcolor=\"#e8d78d\" align=\"center\" width=\"30\">$canto</td><td align=\"center\" width=\"160\">$nomp1</td>  
					<td align=\"center\" width=\"60\">$idp1</td></font></tr></table><br>";

  $qIPa = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, cdentrega, observaciones
							    ) 
							    VALUES 
							    (
								    '0', '5',curdate(),curtime(),'1','$id_cd','salida kits'
							     )";
					$cIPa = mysql_query($qIPa) or die ('Error (Intento de Actualizacion en Pedido): ' . mysql_error());
	
		
  
  
  	   $qax = "SELECT idtransacciones FROM transacciones WHERE tipostr_idtipostr=5 and fechat= curdate() order by horat ASC";
   $cax = mysql_query($qax) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($cax))
   {
	   $trans2 = $ra[0];
	};
	$qPx = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$id_cd', '$trans2','0','0','','', '0000-00-00',  'ENTREGADO'
							     )";$cPx = mysql_query($qPx) or die ('Error (Intento de Actualizacion depositos): ' . mysql_error());
  		echo"El siguiente producto fue dado de baja de sistema: transaccion $trans2<table border=\"1\">
			<tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">cant</font></th><th><font color=\"#FFFFFF\">nombre</font></th><th><font color=\"#FFFFFF\">id</font></th><th><font color=\"#FFFFFF\">existencia</font></th>
		</tr>";
  		for ($k=1; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{$A4[$k]=$_POST["id_prod$k"];
					
						
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["nombrep$k"];
	   				$qp = "select cantidad from stock where idcd='$id_cd' and idprod='".$A4[$k]."'";
   $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp = mysql_fetch_object($cp);	
	$existencia = $rp->cantidad;$elprod=$A1[$k];$elid=$A4[$k];
	   				
	   				$qP1x = "INSERT INTO pedido
							    (	 
							      transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								    '$trans2', '$A4[$k]','$A1[$k]'
							     )";
							     
				
						     
	   			$cP1x = mysql_query($qP1x) or die ('Error (Intento de Actualizacion en Pedido): ' . mysql_error());

						 $qpx = "update stock set cantidad=cantidad-$elprod where idprod='$elid' and idcd='$id_cd'";
$cpx = mysql_query($qpx) or die ('Error (Registro No Encontrado): ' . mysql_error());
					
		   			echo "<font size=2><tr><td bgcolor=\"#E89A9A\" align=\"center\" width=\"30\">$A1[$k]</td><td align=\"center\" width=\"160\">$A2[$k]</td>  
					<td align=\"center\" width=\"60\">$A4[$k] </td><td align=\"center\" width=\"60\">$existencia </td></font></tr>";
		   			
		   		}	
		   	}echo"</table>";
  		   
?>



